Get Discounts

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
GET /o/op/1/menu/discounts

Returns a list of discounts for a specific business location.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    Load discounts

    Hide response attributes Show response attributes object
    • name string

      The discount name as configured in merchant account.

    • code string

      The discount code as configured in merchant account.

    • discountPercentage number

      The discount percentage, may be fractional. A discount can be a percentage or an amount, but not both.

    • discountAmount number

      The discount amount, may be fractional. A discount can be a percentage or an amount, but not both.

GET /o/op/1/menu/discounts
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/1/menu/discounts?businessLocationId=45454565682155' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[{"name" => "Free", "code" => "FREE", "discountPercentage" => 100.0}, {"name" => "Ten Euros Off", "code" => "TEN_OFF", "discountAmount" => 10.0}]